# This file created by conda-build 25.5.0
# meta.yaml template originally from:
# /work/buildout/aggregate/boltons-feedstock/recipe, last modified Tue Oct  7 21:43:17 2025
# ------------------------------------------------

package:
  name: boltons
  version: 25.0.0
source:
  fn: boltons-25.0.0.tar.gz
  url: https://github.com/mahmoud/boltons/archive/25.0.0.tar.gz
  sha256: 7c9e47f2ca1c1f704950e913bf518c6c599dc4a01bc5feffffce2c3bf3c878ee
build:
  number: '0'
  script: /work/buildout/croot/boltons_1759961370105/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . --no-deps -vv --no-build-isolation
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2025.9.9 h06a4308_0
    - expat 2.7.1 h6a678d5_0
    - flit-core 3.12.0 py314hf2ffce6_0
    - ld_impl_linux-64 2.44 h153f514_2
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 hb25bd0a_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.0.18 hd6dcaed_0
    - pip 25.1 pyh0d26453_1
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.0 h3fc5862_100_cp314
    - python_abi 3.14 1_cp314
    - readline 8.3 hc2a1206_0
    - sqlite 3.50.2 hb25bd0a_1
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2025b h04d1e81_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.6.4 h5eee18b_1
    - zlib 1.3.1 hb25bd0a_0
    - zstd 1.5.7 h11fc155_0
  run:
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
test:
  source_files:
    - boltons
    - tests
    - tox.ini
  imports:
    - boltons
    - boltons.cacheutils
    - boltons.debugutils
    - boltons.dictutils
    - boltons.ecoutils
    - boltons.fileutils
    - boltons.formatutils
    - boltons.funcutils
    - boltons.gcutils
    - boltons.ioutils
    - boltons.iterutils
    - boltons.jsonutils
    - boltons.listutils
    - boltons.mathutils
    - boltons.mboxutils
    - boltons.namedutils
    - boltons.pathutils
    - boltons.queueutils
    - boltons.setutils
    - boltons.socketutils
    - boltons.statsutils
    - boltons.strutils
    - boltons.tableutils
    - boltons.tbutils
    - boltons.timeutils
    - boltons.typeutils
    - boltons.urlutils
  requires:
    - pip
    - pytest
  commands:
    - echo [pytest] > pytest.ini
    - echo doctest_optionflags = NORMALIZE_WHITESPACE IGNORE_EXCEPTION_DETAIL ELLIPSIS
      ALLOW_UNICODE >> pytest.ini
    - pytest -vv --doctest-modules boltons tests
    - pip check
about:
  home: https://github.com/mahmoud/boltons
  dev_url: https://github.com/mahmoud/boltons
  doc_url: https://boltons.readthedocs.io/
  license: BSD-3-Clause
  license_file: LICENSE
  license_family: BSD
  summary: 'boltons should be builtins. Boltons is a set of over 160 BSD-licensed,
    pure-Python utilities in the same spirit as--and yet conspicuously missing from--the
    standard library.

    '
  description: "Boltons is a set of pure-Python utilities in the same spirit as \u2014\
    \ and yet conspicuously missing from \u2014 the standard library, including:\n\
    \n  - Atomic file saving, bolted on with fileutils\n  - A highly-optimized OrderedMultiDict,\
    \ in dictutils\n  - Two types of PriorityQueue, in queueutils\n  - Chunked and\
    \ windowed iteration, in iterutils\n  - A full-featured TracebackInfo type, for\
    \ representing stack traces, in tbutils\n  - A lightweight UTC timezone available\
    \ in timeutils.\n  - Recursive mapping for nested data transforms, with remap\n"
extra:
  recipe-maintainers:
    - kalefranz
    - nicoddemus
  final: true
  copy_test_source_files: true
  tool: perseverence-python-buildout
